> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ethereum Nodes Size

> Retrieves the total size of the Ethereum blockchain, in bytes, within a specified date range.

export const chain = '1';

<Warning>
  **Effective July 1, 2026**, the maximum records returned per request will be reduced from 10,000 to 1,000 for Free tier API users. See the full list of [affected endpoints](https://docs.etherscan.io/changelog#upcoming-change-reduced-maximum-records-per-request-on-the-free-api-tier).
</Warning>

### Query Parameters

<ParamField query="apikey" default="YourApiKeyToken" type="string">
  Your Etherscan API key.
</ParamField>

<ParamField query="chainid" default="1" type="string">
  Chain ID to query, eg `1` for Ethereum, `8453` for Base from our [supported chains](/supported-chains).
</ParamField>

<ParamField query="module" default="stats" type="string">
  Set to `stats` for this endpoint.
</ParamField>

<ParamField query="action" default="chainsize" type="string">
  Set to `chainsize` for this endpoint.
</ParamField>

<ParamField query="startdate" default="2019-02-01" type="string">
  Starting date in `yyyy-MM-dd` format.
</ParamField>

<ParamField query="enddate" default="2019-02-28" type="string">
  Ending date in `yyyy-MM-dd` format.
</ParamField>

<ParamField query="clienttype" default="geth" type="string">
  Node client to query, either `geth` or `parity`.
</ParamField>

<ParamField query="syncmode" default="default" type="string">
  Node type to run, either `default` or `archive`.
</ParamField>

<ParamField query="sort" default="asc" type="string">
  Sort order either `desc` for the latest results first or `asc` for the oldest results first.
</ParamField>

<ResponseExample>
  ```json theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "7156164",
        "chainTimeStamp": "2019-02-01",
        "chainSize": "184726421279",
        "clientType": "Geth",
        "syncMode": "Default"
      },
      {
        "blockNumber": "7161012",
        "chainTimeStamp": "2019-02-02",
        "chainSize": "184726654448",
        "clientType": "Geth",
        "syncMode": "Default"
      }
    ]
  }
  ```
</ResponseExample>
